package com.prolog.cs.biz.inbound.model.rcv;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.cs.biz.inbound.dto.rcv.RcvLinesProfilesDTO;
import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Ignore;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description
 * @Date 2021-04-02
 */

@ApiModel
@Table(value = "wms_in_rcv_lines", appendDefaultJdbcType = true, camelToUnderline = true)
public class RcvLines extends BaseModel implements Serializable {
	private static final long serialVersionUID = 1915134186461430847L;
	@Id
	@AutoKey(type = AutoKey.TYPE_SNOWFLAKE)
	/** 行ID(主键雪花id) **/
	@ApiModelProperty(value = "行ID(主键雪花id)")
	private String rcvLineId;

	/** 头ID **/
	@ApiModelProperty(value = "头ID")
	private String rcvHeaderId;

	/** 来源单ID列表 **/
	@ApiModelProperty(value = "来源单ID列表")
	private String srcHeaderId;

	/** 来源单ID **/
	@ApiModelProperty(value = "来源单ID")
	private String srcLineId;

	/** 来源单ID列表(ASN) **/
	@ApiModelProperty(value = "来源单ID列表(ASN)")
	private String asnHeaderId;

	/** ASN行ID **/
	@ApiModelProperty(value = "ASN行ID")
	private String asnLineId;

	/** 商品ID **/
	@ApiModelProperty(value = "商品ID")
	private String itemId;

	/** 包装单位 **/
	@ApiModelProperty(value = "包装单位")
	private String uom;

	/** 行号 **/
	@ApiModelProperty(value = "行号")
	private Integer lineNum;

	/** 包装单位类型(2019/2020)新老包装 **/
	@ApiModelProperty(value = "包装单位类型(2019/2020)新老包装")
	private String uomType;

	/** 数量 **/
	@ApiModelProperty(value = "数量")
	private BigDecimal qty;

	/** 包装含量 **/
	@ApiModelProperty(value = "包装含量")
	private BigDecimal conversionRate;

	/** 最小单位数量 **/
	@ApiModelProperty(value = "最小单位数量")
	private BigDecimal pieceQty;

	/** 整箱数 **/
	@ApiModelProperty(value = "整箱数")
	private BigDecimal oddCaseQty;

	/** 零散数 **/
	@ApiModelProperty(value = "零散数")
	private BigDecimal oddPieceQty;

	/** batch_id **/
	@ApiModelProperty(value = "batch_id")
	private String batchId;

	/** 批次号 **/
	@ApiModelProperty(value = "批次号")
	private String batchNum;

	/** 批次生产日期 **/
	@ApiModelProperty(value = "批次生产日期")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date batchProductionDate;

	/** 批次有效期 **/
	@ApiModelProperty(value = "批次有效期")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date batchExpiredDate;

	/** 供应商批次号 **/
	@ApiModelProperty(value = "供应商批次号")
	private String vendorBatchNum;

	/** 生产商批号 **/
	@ApiModelProperty(value = "生产商批号")
	private String manufacturerLotNum;

	/** erp批号（预留字段） **/
	@ApiModelProperty(value = "erp批号（预留字段）")
	private String erpBatchNum;

	/** 容器编码 **/
	@ApiModelProperty(value = "容器编码")
	private String containerCode;

	/** 货格编码 **/
	@ApiModelProperty(value = "货格编码")
	private String goodsCaseCode;

	/** 收货结论（0合格/1不合格/2待处理/3拒绝） **/
	@ApiModelProperty(value = "收货结论（0合格/1不合格/2待处理/3拒绝）")
	private String stockStatus;

	/** 处理原因 **/
	@ApiModelProperty(value = "处理原因")
	private String rcvReason1;

	/** 不足原因 **/
	@ApiModelProperty(value = "不足原因")
	private String rcvReason2;

	/** 不足原因补充 **/
	@ApiModelProperty(value = "不足原因补充")
	private String rcvReason3;

	/** 退货原因 **/
	@ApiModelProperty(value = "退货原因")
	private String rcvRtReason;

	/** 推荐库区 **/
	@ApiModelProperty(value = "推荐库区")
	private String warehouseArea;

	/** 推荐库位 **/
	@ApiModelProperty(value = "推荐库位")
	private String warehouseLocator;

	/** 执行者（收货员） **/
	@ApiModelProperty(value = "执行者（收货员）")
	private String executorUser;

	/** 预留字段 **/
	@ApiModelProperty(value = "预留字段")
	private String segment1;

	/** 预留字段 **/
	@ApiModelProperty(value = "预留字段")
	private String segment2;

	/** 预留字段 **/
	@ApiModelProperty(value = "预留字段")
	private String segment3;

	/** 预留字段 **/
	@ApiModelProperty(value = "预留字段")
	private String segment4;

	/** 预留字段 **/
	@ApiModelProperty(value = "预留字段")
	private String segment5;

	private String attribute1;

	/** 预留字段 **/
	@ApiModelProperty(value = "预留字段")
	private String attribute2;

	/** 预留字段 **/
	@ApiModelProperty(value = "预留字段")
	private String attribute3;

	/** 预留字段 **/
	@ApiModelProperty(value = "预留字段")
	private String attribute4;

	/** 预留字段 **/
	@ApiModelProperty(value = "预留字段")
	private String attribute5;

	/** 备注 **/
	@ApiModelProperty(value = "备注")
	private String comments;

	/** created_name **/
	@ApiModelProperty(value = "created_name")
	private String createdName;

	/** last_updated_name **/
	@ApiModelProperty(value = "last_updated_name")
	private String lastUpdatedName;

	/** WMS已入库最小单位数量？ **/
	@ApiModelProperty(value = "WMS已入库最小单位数量？")
	private BigDecimal wmsPieceQty;

	/** 辅助状态（做上传控制） **/
	@ApiModelProperty(value = "辅助状态（做上传控制）")
	private String statusAs;

	/** 来源单类型 **/
	@ApiModelProperty(value = "来源单类型")
	private String srcBillType;

	/** 货主id **/
	@ApiModelProperty(value = "货主id")
	private String mtlOwnerId;

	@ApiModelProperty(value = "双人业务类型(0:正常 1：双人验收，默认正常)")
	private Integer itemHealthIsDouble;

	@ApiModelProperty(value = "赠品最小单位数量")
	private BigDecimal freeQty;

	@ApiModelProperty(value = "商品重量")
	private BigDecimal itemWeight;

	@ApiModelProperty(value = "商品体积")
	private BigDecimal itemVolume;

	@ApiModelProperty(value = "商品批准文号")
	private String approvalNumber;

	@ApiModelProperty(value = "商品产地")
	private String productionPlace;

	@ApiModelProperty(value = "推荐仓库(id)")
	private String warehouseId;

	@ApiModelProperty(value = "推荐仓库(名称)")
	private String warehouseName;

	@ApiModelProperty(value = "货主名称")
	private String mtlOwnerName;

	@ApiModelProperty(value = "是否两票制")
	private Integer itemHealthTwovoteflag;

	@ApiModelProperty(value = "数据版本号")
	private Integer dataVersion;

	// ===================5.12新增字段=======================
	@ApiModelProperty(value = "商品整散分离标识(0整散合一/1整散分开)")
	private String itemIsPieceOrCase;
	@ApiModelProperty(value = "推荐库别编号(逗号分隔集合)")
	private String warehouseAreaCategorys;
	@ApiModelProperty(value = "推荐库区编号(逗号分隔集合)")
	private String warehouseAreaCodes;

	@ApiModelProperty(value = "选择的库区名称", position = -3)
	private String warehouseAreaName;
	@ApiModelProperty(value = "选择的库区id", position = -3)
	private String warehouseAreaId;
	@ApiModelProperty(value = "选择的库区编号", position = -3)
	private String warehouseAreaCode;
	@ApiModelProperty(value = "选择的建筑物id", position = -3)
	private String bldgId;
	@ApiModelProperty(value = "选择的建筑物名称", position = -3)
	private String bldgName;
	@ApiModelProperty(value = "选择的建筑物编号", position = -3)
	private String bldgCode;

	@ApiModelProperty(value = "收货行拓展属性", notes = "新增极联用", position = Integer.MAX_VALUE)
	@Ignore
	private RcvLinesProfilesDTO rcvLinesProfilesDTO;
	@ApiModelProperty(value = "收货类型", position = -3)
	private String rcvType;
	@ApiModelProperty(value = "收货类型", position = -3)
	private Date rcvDate;
	// ==== 6.1 新加字段===========================================================
	// 此字段需要根据商品中是否委托生产判断
	@ApiModelProperty(value = "受托生产企业id(oemid)", position = -4)
	private String delegationPartyId;
	@ApiModelProperty(value = "受托生产企业名称(oem名称)", position = -4)
	private String delegationPartyName;
	@ApiModelProperty(value = "是否委托生产(0否1是)", position = -4)
	private Integer isDelegate;
	// ==== 6.9 新加字段===========================================================
	@ApiModelProperty(value = "显示生产日期", position = -4)
	private String showProductionDate;
	@ApiModelProperty(value = "显示有效期至", position = -4)
	private String showExpiredDate;
	@ApiModelProperty(value = "最小包装数", position = -4)
	private BigDecimal pieceConversionRate;
	@ApiModelProperty(value = "推荐库房列表", position = -4)
	private String warehouseRoomCodes;
	// ============6.10新加字段======================================================
	@ApiModelProperty(value = "asn单行明细备注", position = -4)
	private String asnLineRemark;

	// ============6.11新加字段======================================================
	@ApiModelProperty(value = "商品助记码", position = -4)
	private String itemZjm;

	@ApiModelProperty(value = "是否追溯(0否1是)默认0", position = -5)
	private Integer isRetrospect;

	@ApiModelProperty(value = "质检报告单号(关联批次)", position = -6)
	private String rqcReportNo;

	// 8.27新加
	@ApiModelProperty(value = "(新)货位id/用于调账选择", position = -7)
	private String whLocatorId;
	@ApiModelProperty(value = "(新)货位code/用于调账选择", position = -7)
	private String whLocatorCode;
	@ApiModelProperty(value = "(新)货位库区code/用于调账选择", position = -7)
	private String whAreaCode;
	@ApiModelProperty(value = "(新)货位库别code/用于调账选择", position = -7)
	private String whAreaCategoryCode;
	@ApiModelProperty(value = "(新)库存转换操作类型 0-代管转正常;1-代管转待检;2-待检转正常", position = -7)
	private String inventoryOpType;

	@ApiModelProperty(value = "(新)关联的代管货位id", position = -7)
	private String hostLocatorId;

	private String attrNum1;
	private String attrNum2;

	public String getAttrNum1() {
		return attrNum1;
	}

	public void setAttrNum1(String attrNum1) {
		this.attrNum1 = attrNum1;
	}

	public String getAttrNum2() {
		return attrNum2;
	}

	public void setAttrNum2(String attrNum2) {
		this.attrNum2 = attrNum2;
	}

	public String getHostLocatorId() {
		return hostLocatorId;
	}

	public void setHostLocatorId(String hostLocatorId) {
		this.hostLocatorId = hostLocatorId;
	}

	public String getInventoryOpType() {
		return inventoryOpType;
	}

	public void setInventoryOpType(String inventoryOpType) {
		this.inventoryOpType = inventoryOpType;
	}

	// 8.27新加
	public String getWhAreaCategoryCode() {
		return whAreaCategoryCode;
	}

	public void setWhAreaCategoryCode(String whAreaCategoryCode) {
		this.whAreaCategoryCode = whAreaCategoryCode;
	}

	public String getWhAreaCode() {
		return whAreaCode;
	}

	public void setWhAreaCode(String whAreaCode) {
		this.whAreaCode = whAreaCode;
	}

	public String getWhLocatorId() {
		return whLocatorId;
	}

	public void setWhLocatorId(String whLocatorId) {
		this.whLocatorId = whLocatorId;
	}

	public String getWhLocatorCode() {
		return whLocatorCode;
	}

	public void setWhLocatorCode(String whLocatorCode) {
		this.whLocatorCode = whLocatorCode;
	}

	public String getRqcReportNo() {
		return rqcReportNo;
	}

	public void setRqcReportNo(String rqcReportNo) {
		this.rqcReportNo = rqcReportNo;
	}

//	@ApiModelProperty(value = "企业ID")
//	private String enterpriseId;
//
//	@ApiModelProperty(value = "创建日期")
//	private Date gmtCreate;
//
//	@ApiModelProperty(value = "创建人")
//	private String creator;
//
//	@ApiModelProperty(value = "created_name")
//	private String creatorName;
//
//	@ApiModelProperty(value = "最后修改日期")
//	private Date gmtModified;
//
//	@ApiModelProperty(value = "最后修改人")
//	private String modifier;
//
//	@ApiModelProperty(value = "last_updated_name")
//	private String modifierName;
//
//	public String getEnterpriseId() {
//		return enterpriseId;
//	}
//
//	public void setEnterpriseId(String enterpriseId) {
//		this.enterpriseId = enterpriseId;
//	}
//
//	public Date getGmtCreate() {
//		return gmtCreate;
//	}
//
//	public void setGmtCreate(Date gmtCreate) {
//		this.gmtCreate = gmtCreate;
//	}
//
//	public String getCreator() {
//		return creator;
//	}
//
//	public void setCreator(String creator) {
//		this.creator = creator;
//	}
//
//	public String getCreatorName() {
//		return creatorName;
//	}
//
//	public void setCreatorName(String creatorName) {
//		this.creatorName = creatorName;
//	}
//
//	public Date getGmtModified() {
//		return gmtModified;
//	}
//
//	public void setGmtModified(Date gmtModified) {
//		this.gmtModified = gmtModified;
//	}
//
//	public String getModifier() {
//		return modifier;
//	}
//
//	public void setModifier(String modifier) {
//		this.modifier = modifier;
//	}
//
//	public String getModifierName() {
//		return modifierName;
//	}
//
//	public void setModifierName(String modifierName) {
//		this.modifierName = modifierName;
//	}

	public Integer getIsRetrospect() {
		return isRetrospect;
	}

	public void setIsRetrospect(Integer isRetrospect) {
		this.isRetrospect = isRetrospect;
	}

	public String getRcvType() {
		return rcvType;
	}

	public void setRcvType(String rcvType) {
		this.rcvType = rcvType;
	}

	public Date getRcvDate() {
		return rcvDate;
	}

	public void setRcvDate(Date rcvDate) {
		this.rcvDate = rcvDate;
	}

	public Integer getIsDelegate() {
		return isDelegate;
	}

	public void setIsDelegate(Integer isDelegate) {
		this.isDelegate = isDelegate;
	}

	public String getItemZjm() {
		return itemZjm;
	}

	public void setItemZjm(String itemZjm) {
		this.itemZjm = itemZjm;
	}

	public String getAsnLineRemark() {
		return asnLineRemark;
	}

	public void setAsnLineRemark(String asnLineRemark) {
		this.asnLineRemark = asnLineRemark;
	}

	public String getShowProductionDate() {
		return showProductionDate;
	}

	public void setShowProductionDate(String showProductionDate) {
		this.showProductionDate = showProductionDate;
	}

	public String getShowExpiredDate() {
		return showExpiredDate;
	}

	public void setShowExpiredDate(String showExpiredDate) {
		this.showExpiredDate = showExpiredDate;
	}

	public BigDecimal getPieceConversionRate() {
		return pieceConversionRate;
	}

	public void setPieceConversionRate(BigDecimal pieceConversionRate) {
		this.pieceConversionRate = pieceConversionRate;
	}

	public String getWarehouseRoomCodes() {
		return warehouseRoomCodes;
	}

	public void setWarehouseRoomCodes(String warehouseRoomCodes) {
		this.warehouseRoomCodes = warehouseRoomCodes;
	}

	public String getDelegationPartyId() {
		return delegationPartyId;
	}

	public void setDelegationPartyId(String delegationPartyId) {
		this.delegationPartyId = delegationPartyId;
	}

	public String getDelegationPartyName() {
		return delegationPartyName;
	}

	public void setDelegationPartyName(String delegationPartyName) {
		this.delegationPartyName = delegationPartyName;
	}

	public RcvLinesProfilesDTO getRcvLinesProfilesDTO() {
		return rcvLinesProfilesDTO;
	}

	public void setRcvLinesProfilesDTO(RcvLinesProfilesDTO rcvLinesProfilesDTO) {
		this.rcvLinesProfilesDTO = rcvLinesProfilesDTO;
	}

	public String getWarehouseAreaName() {
		return warehouseAreaName;
	}

	public void setWarehouseAreaName(String warehouseAreaName) {
		this.warehouseAreaName = warehouseAreaName;
	}

	public String getWarehouseAreaId() {
		return warehouseAreaId;
	}

	public void setWarehouseAreaId(String warehouseAreaId) {
		this.warehouseAreaId = warehouseAreaId;
	}

	public String getWarehouseAreaCode() {
		return warehouseAreaCode;
	}

	public void setWarehouseAreaCode(String warehouseAreaCode) {
		this.warehouseAreaCode = warehouseAreaCode;
	}

	public String getBldgId() {
		return bldgId;
	}

	public void setBldgId(String bldgId) {
		this.bldgId = bldgId;
	}

	public String getBldgName() {
		return bldgName;
	}

	public void setBldgName(String bldgName) {
		this.bldgName = bldgName;
	}

	public String getBldgCode() {
		return bldgCode;
	}

	public void setBldgCode(String bldgCode) {
		this.bldgCode = bldgCode;
	}

	public String getItemIsPieceOrCase() {
		return itemIsPieceOrCase;
	}

	public void setItemIsPieceOrCase(String itemIsPieceOrCase) {
		this.itemIsPieceOrCase = itemIsPieceOrCase;
	}

	public String getWarehouseAreaCategorys() {
		return warehouseAreaCategorys;
	}

	public void setWarehouseAreaCategorys(String warehouseAreaCategorys) {
		this.warehouseAreaCategorys = warehouseAreaCategorys;
	}

	public String getWarehouseAreaCodes() {
		return warehouseAreaCodes;
	}

	public void setWarehouseAreaCodes(String warehouseAreaCodes) {
		this.warehouseAreaCodes = warehouseAreaCodes;
	}

	public Integer getDataVersion() {
		return dataVersion;
	}

	public void setDataVersion(Integer dataVersion) {
		this.dataVersion = dataVersion;
	}

	public String getRcvLineId() {
		return rcvLineId;
	}

	public void setRcvLineId(String rcvLineId) {
		this.rcvLineId = rcvLineId;
	}

	public String getRcvHeaderId() {
		return rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getSrcHeaderId() {
		return srcHeaderId;
	}

	public void setSrcHeaderId(String srcHeaderId) {
		this.srcHeaderId = srcHeaderId;
	}

	public String getSrcLineId() {
		return srcLineId;
	}

	public void setSrcLineId(String srcLineId) {
		this.srcLineId = srcLineId;
	}

	public String getAsnHeaderId() {
		return asnHeaderId;
	}

	public void setAsnHeaderId(String asnHeaderId) {
		this.asnHeaderId = asnHeaderId;
	}

	public String getAsnLineId() {
		return asnLineId;
	}

	public void setAsnLineId(String asnLineId) {
		this.asnLineId = asnLineId;
	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public String getUom() {
		return uom;
	}

	public void setUom(String uom) {
		this.uom = uom;
	}

	public Integer getLineNum() {
		return lineNum;
	}

	public void setLineNum(Integer lineNum) {
		this.lineNum = lineNum;
	}

	public String getUomType() {
		return uomType;
	}

	public void setUomType(String uomType) {
		this.uomType = uomType;
	}

	public BigDecimal getQty() {
		return qty;
	}

	public void setQty(BigDecimal qty) {
		this.qty = qty;
	}

	public BigDecimal getConversionRate() {
		return conversionRate;
	}

	public void setConversionRate(BigDecimal conversionRate) {
		this.conversionRate = conversionRate;
	}

	public BigDecimal getPieceQty() {
		return pieceQty;
	}

	public void setPieceQty(BigDecimal pieceQty) {
		this.pieceQty = pieceQty;
	}

	public BigDecimal getOddCaseQty() {
		return oddCaseQty;
	}

	public void setOddCaseQty(BigDecimal oddCaseQty) {
		this.oddCaseQty = oddCaseQty;
	}

	public BigDecimal getOddPieceQty() {
		return oddPieceQty;
	}

	public void setOddPieceQty(BigDecimal oddPieceQty) {
		this.oddPieceQty = oddPieceQty;
	}

	public String getBatchId() {
		return batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}

	public String getBatchNum() {
		return batchNum;
	}

	public void setBatchNum(String batchNum) {
		this.batchNum = batchNum;
	}

	public Date getBatchProductionDate() {
		return batchProductionDate;
	}

	public void setBatchProductionDate(Date batchProductionDate) {
		this.batchProductionDate = batchProductionDate;
	}

	public Date getBatchExpiredDate() {
		return batchExpiredDate;
	}

	public void setBatchExpiredDate(Date batchExpiredDate) {
		this.batchExpiredDate = batchExpiredDate;
	}

	public String getVendorBatchNum() {
		return vendorBatchNum;
	}

	public void setVendorBatchNum(String vendorBatchNum) {
		this.vendorBatchNum = vendorBatchNum;
	}

	public String getManufacturerLotNum() {
		return manufacturerLotNum;
	}

	public void setManufacturerLotNum(String manufacturerLotNum) {
		this.manufacturerLotNum = manufacturerLotNum;
	}

	public String getErpBatchNum() {
		return erpBatchNum;
	}

	public void setErpBatchNum(String erpBatchNum) {
		this.erpBatchNum = erpBatchNum;
	}

	public String getContainerCode() {
		return containerCode;
	}

	public void setContainerCode(String containerCode) {
		this.containerCode = containerCode;
	}

	public String getGoodsCaseCode() {
		return goodsCaseCode;
	}

	public void setGoodsCaseCode(String goodsCaseCode) {
		this.goodsCaseCode = goodsCaseCode;
	}

	public String getStockStatus() {
		return stockStatus;
	}

	public void setStockStatus(String stockStatus) {
		this.stockStatus = stockStatus;
	}

	public String getRcvReason1() {
		return rcvReason1;
	}

	public void setRcvReason1(String rcvReason1) {
		this.rcvReason1 = rcvReason1;
	}

	public String getRcvReason2() {
		return rcvReason2;
	}

	public void setRcvReason2(String rcvReason2) {
		this.rcvReason2 = rcvReason2;
	}

	public String getRcvReason3() {
		return rcvReason3;
	}

	public void setRcvReason3(String rcvReason3) {
		this.rcvReason3 = rcvReason3;
	}

	public String getRcvRtReason() {
		return rcvRtReason;
	}

	public void setRcvRtReason(String rcvRtReason) {
		this.rcvRtReason = rcvRtReason;
	}

	public String getWarehouseArea() {
		return warehouseArea;
	}

	public void setWarehouseArea(String warehouseArea) {
		this.warehouseArea = warehouseArea;
	}

	public String getWarehouseLocator() {
		return warehouseLocator;
	}

	public void setWarehouseLocator(String warehouseLocator) {
		this.warehouseLocator = warehouseLocator;
	}

	public String getExecutorUser() {
		return executorUser;
	}

	public void setExecutorUser(String executorUser) {
		this.executorUser = executorUser;
	}

	public String getSegment1() {
		return segment1;
	}

	public void setSegment1(String segment1) {
		this.segment1 = segment1;
	}

	public String getSegment2() {
		return segment2;
	}

	public void setSegment2(String segment2) {
		this.segment2 = segment2;
	}

	public String getSegment3() {
		return segment3;
	}

	public void setSegment3(String segment3) {
		this.segment3 = segment3;
	}

	public String getSegment4() {
		return segment4;
	}

	public void setSegment4(String segment4) {
		this.segment4 = segment4;
	}

	public String getSegment5() {
		return segment5;
	}

	public void setSegment5(String segment5) {
		this.segment5 = segment5;
	}

	public String getAttribute1() {
		return attribute1;
	}

	public void setAttribute1(String attribute1) {
		this.attribute1 = attribute1;
	}

	public String getAttribute2() {
		return attribute2;
	}

	public void setAttribute2(String attribute2) {
		this.attribute2 = attribute2;
	}

	public String getAttribute3() {
		return attribute3;
	}

	public void setAttribute3(String attribute3) {
		this.attribute3 = attribute3;
	}

	public String getAttribute4() {
		return attribute4;
	}

	public void setAttribute4(String attribute4) {
		this.attribute4 = attribute4;
	}

	public String getAttribute5() {
		return attribute5;
	}

	public void setAttribute5(String attribute5) {
		this.attribute5 = attribute5;
	}

	public String getComments() {
		return comments;
	}

	public void setComments(String comments) {
		this.comments = comments;
	}

	public String getCreatedName() {
		return createdName;
	}

	public void setCreatedName(String createdName) {
		this.createdName = createdName;
	}

	public String getLastUpdatedName() {
		return lastUpdatedName;
	}

	public void setLastUpdatedName(String lastUpdatedName) {
		this.lastUpdatedName = lastUpdatedName;
	}

	public BigDecimal getWmsPieceQty() {
		return wmsPieceQty;
	}

	public void setWmsPieceQty(BigDecimal wmsPieceQty) {
		this.wmsPieceQty = wmsPieceQty;
	}

	public String getStatusAs() {
		return statusAs;
	}

	public void setStatusAs(String statusAs) {
		this.statusAs = statusAs;
	}

	public String getSrcBillType() {
		return srcBillType;
	}

	public void setSrcBillType(String srcBillType) {
		this.srcBillType = srcBillType;
	}

	public String getMtlOwnerId() {
		return mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public Integer getItemHealthIsDouble() {
		return itemHealthIsDouble;
	}

	public void setItemHealthIsDouble(Integer itemHealthIsDouble) {
		this.itemHealthIsDouble = itemHealthIsDouble;
	}

	public BigDecimal getFreeQty() {
		return freeQty;
	}

	public void setFreeQty(BigDecimal freeQty) {
		this.freeQty = freeQty;
	}

	public BigDecimal getItemWeight() {
		return itemWeight;
	}

	public void setItemWeight(BigDecimal itemWeight) {
		this.itemWeight = itemWeight;
	}

	public BigDecimal getItemVolume() {
		return itemVolume;
	}

	public void setItemVolume(BigDecimal itemVolume) {
		this.itemVolume = itemVolume;
	}

	public String getApprovalNumber() {
		return approvalNumber;
	}

	public void setApprovalNumber(String approvalNumber) {
		this.approvalNumber = approvalNumber;
	}

	public String getProductionPlace() {
		return productionPlace;
	}

	public void setProductionPlace(String productionPlace) {
		this.productionPlace = productionPlace;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getWarehouseName() {
		return warehouseName;
	}

	public void setWarehouseName(String warehouseName) {
		this.warehouseName = warehouseName;
	}

	public String getMtlOwnerName() {
		return mtlOwnerName;
	}

	public void setMtlOwnerName(String mtlOwnerName) {
		this.mtlOwnerName = mtlOwnerName;
	}

	public Integer getItemHealthTwovoteflag() {
		return itemHealthTwovoteflag;
	}

	public void setItemHealthTwovoteflag(Integer itemHealthTwovoteflag) {
		this.itemHealthTwovoteflag = itemHealthTwovoteflag;
	}

}
